#! /usr/bin/env bash
set -ex

# shellcheck source=/dev/null
source "$(dirname "$0")/_common.sh"

if [ "${DRONE}" == "true" ]; then
    _setup_env
    pip install -r requirements.txt -r dev-requirements.txt
fi

exec "${VIRTUAL_ENV}/bin/python" -m pytest -vv --cov "$@"
